# Add backup object to Cohesity User and Groups
This script lists users and groups and writes the output to a text file (addObjectToUserAccessList-clusterName.txt)

# Components
 - addObjectToUserAccessList.ps1: the main powershell script
 - cohesity-api.ps1: the Cohesity REST API helper module

Place the files in a folder together and run the main script like so:

# Command line example
```
./addObjectToUserAccessList.ps1 -vip mycluster `
                                -username myuser `
                                -domain mydomain.net `
                                -principal mydomain.net/myuser `
                                -addObject vm1, server1.mydomain.net `
                                -removeObject vm2, vm3 `
                                -addView view1, view2 `
                                -removeView view3, view4
```

# Parameters

- vip: Cohesity Cluster to connect to
- username: Cohesity username
- domain: (optional) Cohesity logon domain (defaults to local)
- principal: name(s) (comma separated) of user or group to modify (e.g. mydomain.net/myuser, or mylocaluser) 
- addObject: (optional) names of registered objects to add to access list (comma separated)
- removeObject: (optional) names of registered objects to remove from access list (comma separated)
- addView: (optional) names of views to add to access list (comma separated)
- removeView: (optional) names of views to remove from access list (comma separated)
